/*
 * pdscnglobal.h
 * 
 * Copyright 2011 Fernando Pujaico Rivera <fernando.pujaico.rivera@gmail.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */

/** \file pdscnglobal.h
 *  \author Fernando Pujaico Rivera
 *  \date 01-05-2011
 *  \brief Archivo de definición de variable globales de la biblioteca pdscn.
 *  
 *  <br><br>Aquí Estarán definidas las variables globales que serán usadas en
 *  toda la biblioteca pdscn.
 */
#ifndef __PDSCNGLOBAL_H__
#define __PDSCNGLOBAL_H__


#ifdef __cplusplus
extern "C" {
#endif 

/** \defgroup PdsCnGlobalGroup Variables globales de la biblioteca pdscn.
 * @{
 */

/*! Defino el tipo de variable real como PdsCnReal.
 *  \ingroup PdsCnGlobalGroup
 */
typedef float PdsCnReal;

/**
 * @}
 */

#ifdef __cplusplus
}
#endif 


#endif /* __PDSCNGLOBAL_H__ */
